Package org.springframework.security.web.util.matcher

# Interface RequestMatcher

All Known Implementing Classes:
  `AndRequestMatcher`, `AntPathRequestMatcher`, `AnyRequestMatcher`, `DispatcherTypeRequestMatcher`, `ELRequestMatcher`, `IpAddressMatcher`, `MediaTypeRequestMatcher`, `MvcRequestMatcher`, `NegatedRequestMatcher`, `OrRequestMatcher`, `ParameterRequestMatcher`, `RegexRequestMatcher`, `RequestHeaderRequestMatcher`

public interface RequestMatcher
Simple strategy to match an `HttpServletRequest`.

Since:
  3.0.2

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`RequestMatcher.MatchResult`
The result of matching against an HttpServletRequest Contains the status, true or false, of the match and if present, any variables extracted from the match

## Method Summary

Modifier and Type
Method
Description
`default RequestMatcher.MatchResult`
`matcher(jakarta.servlet.http.HttpServletRequest request)`
Returns a MatchResult for this RequestMatcher The default implementation returns `Collections.emptyMap()` when `RequestMatcher.MatchResult.getVariables()` is invoked.
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`
Decides whether the rule implemented by the strategy matches the supplied request.

## Method Details

### matches

boolean matches(jakarta.servlet.http.HttpServletRequest request)
Decides whether the rule implemented by the strategy matches the supplied request.

Parameters:
  `request` - the request to check for a match
Returns:
  true if the request matches, false otherwise

### matcher

default RequestMatcher.MatchResult matcher(jakarta.servlet.http.HttpServletRequest request)
Returns a MatchResult for this RequestMatcher The default implementation returns `Collections.emptyMap()` when `RequestMatcher.MatchResult.getVariables()` is invoked.

Returns:
  the MatchResult from comparing this RequestMatcher against the HttpServletRequest
Since:
  5.2